commit:     0a69791fad7412ed30adeda8dba8b0eec8faf28f
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Mon May 16 09:06:28 2022 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Mon May 16 09:31:45 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a69791f

app-containers/apptainer: add 1.0.2

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 app-containers/apptainer/Manifest               |  1 +
 app-containers/apptainer/apptainer-1.0.2.ebuild | 63 +++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/app-containers/apptainer/Manifest 
b/app-containers/apptainer/Manifest
index 3473e30ba936..4ee78ec0af5d 100644
--- a/app-containers/apptainer/Manifest
+++ b/app-containers/apptainer/Manifest
@@ -1 +1,2 @@
 DIST apptainer-1.0.1.tar.gz 11977965 BLAKE2B 
ba0187c82321583825210f418744add120b682af3f14ee6d8071b927cd884b7e58f67f891ccc53c0d7d98bd786a27abcc26b2bafe79ed723a2f4f38a8e1a344b
 SHA512 
273e94a348be2eaf83cf14b4c72a571670a9fa5cd185a90a0f557ba58ea7eb90d3a0f4bdb749673b0009e2291dd994dc715223c38ce82f9fcd6bf142e7692363
+DIST apptainer-1.0.2.tar.gz 11984629 BLAKE2B 
56ed18bf86fe51e3bb27605f2c87a2c20fd9f3457594f1e0628b00d8616befa275b76bc4aba2a4306c854217e03662aab7eb7022c6ca5db418537df011b2398b
 SHA512 
c29d04eff3a2ee7126c9bbb65664540a446fe695efc9c4662a6da151b2e809d55c1f5a7b5bddb82ba4fdd41a49ceb538c00a72778a4ed1d0306ff5f49d2f4d53

diff --git a/app-containers/apptainer/apptainer-1.0.2.ebuild 
b/app-containers/apptainer/apptainer-1.0.2.ebuild
new file mode 100644
index 000000000000..9f711a070ada
--- /dev/null
+++ b/app-containers/apptainer/apptainer-1.0.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info toolchain-funcs
+
+DESCRIPTION="The container system for secure high-performance computing"
+HOMEPAGE="https://apptainer.org/";
+SRC_URI="https://github.com/apptainer/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples +network +suid"
+
+# Do not complain about CFLAGS etc. since go projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
+DEPEND="app-crypt/gpgme
+       >=dev-lang/go-1.17.6
+       dev-libs/openssl
+       sys-apps/util-linux
+       sys-fs/cryptsetup
+       sys-fs/squashfs-tools
+       sys-libs/libseccomp"
+RDEPEND="${DEPEND}
+       !sys-cluster/singularity"
+BDEPEND="virtual/pkgconfig"
+
+CONFIG_CHECK="~SQUASHFS"
+
+DOCS=( README.md CONTRIBUTORS.md CONTRIBUTING.md )
+
+src_configure() {
+       local myconfargs=(
+               -c "$(tc-getBUILD_CC)" \
+               -x "$(tc-getBUILD_CXX)" \
+               -C "$(tc-getCC)" \
+               -X "$(tc-getCXX)" \
+               --prefix="${EPREFIX}"/usr \
+               --sysconfdir="${EPREFIX}"/etc \
+               --runstatedir="${EPREFIX}"/run \
+               --localstatedir="${EPREFIX}"/var \
+               $(usex network "" "--without-network") \
+               $(usex suid "" "--without-suid")
+       )
+       ./mconfig -v ${myconfargs[@]} || die "Error invoking mconfig"
+}
+
+src_compile() {
+       emake -C builddir
+}
+
+src_install() {
+       emake DESTDIR="${D}" -C builddir install
+       keepdir /var/${PN}/mnt/session
+
+       einstalldocs
+       if use examples; then
+               dodoc -r examples
+       fi
+}

Reply via email to